Package org.springframework.batch.core.configuration.xml

# Class BeanDefinitionUtils

java.lang.Object
org.springframework.batch.core.configuration.xml.BeanDefinitionUtils

public class BeanDefinitionUtils extends Object

Since:
  2.0.1
Author:
  Dan Garrette

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanDefinitionUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Object`
  `getAttribute(String beanName, String attributeName, org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`
  `static org.springframework.beans.PropertyValue`
  `getPropertyValue(String beanName, String propertyName, org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeanDefinitionUtils

    public BeanDefinitionUtils()

- ## Method Details

  - ### getPropertyValue

    public static org.springframework.beans.PropertyValue getPropertyValue(String beanName, String propertyName, org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
    Parameters:
      `beanName` - a bean definition name
      `propertyName` - the name of the property
      `beanFactory` - a `BeanFactory`
    Returns:
      The `PropertyValue` for the property of the bean. Search parent hierarchy if necessary. Return null if none is found.

  - ### getAttribute

    public static Object getAttribute(String beanName, String attributeName, org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
    Parameters:
      `beanName` - a bean definition name
      `attributeName` - the name of the property
      `beanFactory` - a `BeanFactory`
    Returns:
      The value for the attribute of the bean. Search parent hierarchy if necessary. Return null if none is found.